<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.seven.iznajmiromobil">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <application
        android:name=".IznajmiRomobilApplication"
        android:allowBackup="true"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/logo"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:ignore="GoogleAppIndexingWarning">
        <activity
            android:name=".view.registeredUser.client.SendReportActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.client.SendRequestActivity"
            android:parentActivityName=".view.publicUser.RentOfferDetailsActivity"
            android:screenOrientation="portrait">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".view.publicUser.RentOfferDetailsActivity" />
        </activity>
        <activity
            android:name=".view.publicUser.RentOfferDetailsActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.ChatsActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.renter.CreateRatingActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.renter.ClientReportDetailsActivity"
            android:parentActivityName=".view.registeredUser.renter.ClientReportsActivity"
            android:screenOrientation="portrait">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.seven.iznajmiromobil.view.registeredUser.renter.ClientReportsActivity" />
        </activity>
        <activity
            android:name=".view.registeredUser.renter.ClientReportsActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.renter.ReviewClientRequestsActivity"
            android:label="@string/title_activity_review_client_requests"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.mainActivities.ClientAndRenterMainActivity"
            android:label="@string/title_activity_client_and_renter_main"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".view.registeredUser.mainActivities.RenterMainActivity"
            android:label="@string/title_activity_renter_main"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".view.registeredUser.mainActivities.ClientMainActivity"
            android:label="@string/title_activity_client_main"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".view.SplashActivity"
            android:label="Scooters"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".view.registeredUser.UserPublicProfileActivity"
            android:label="@string/title_activity_user_public_profile"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.TransactionDetailsActivity"
            android:label="@string/title_activity_transaction_details"
            android:parentActivityName=".view.registeredUser.TransactionsActivity"
            android:screenOrientation="portrait">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.seven.iznajmiromobil.view.registeredUser.TransactionsActivity" />
        </activity>
        <activity
            android:name=".view.registeredUser.EditRolesActivity"
            android:label="@string/title_activity_edit_roles"
            android:parentActivityName=".view.registeredUser.SettingsActivity"
            android:screenOrientation="portrait">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.seven.iznajmiromobil.view.registeredUser.SettingsActivity" />
        </activity>
        <activity
            android:name=".view.registeredUser.EditPersonalDataActivity"
            android:label="@string/title_activity_edit_personal_data"
            android:parentActivityName=".view.registeredUser.SettingsActivity"
            android:screenOrientation="portrait">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.seven.iznajmiromobil.view.registeredUser.SettingsActivity" />
        </activity>
        <activity
            android:name=".view.publicUser.CurrentOffersActivity"
            android:label="@string/title_activity_current_offers"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.RatingsActivity"
            android:label="@string/title_activity_ratings"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.TransactionsActivity"
            android:label="@string/title_activity_transactions"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.SettingsActivity"
            android:label="@string/title_activity_settings"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.login.LoginActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registration.RegistrationActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.registeredUser.renter.CreateTransactionActivity"
            android:label="@string/title_activity_create_transaction"
            android:screenOrientation="portrait" />
        <activity
            android:name=".view.resetPassword.ResetPasswordActivity"
            android:screenOrientation="portrait">
            <intent-filter android:label="@string/app_name">
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <data
                    android:host="scootersopp.herokuapp.com"
                    android:pathPrefix="/set_password"
                    android:scheme="https" />
            </intent-filter>
        </activity>
        <activity android:name=".view.chat.ChatActivity" />
        <activity android:name=".view.offers.OffersActivity" />
        <activity android:name=".view.offers.CreateOfferActivity" />
        <activity android:name=".view.scooters.ScootersActivity" />
        <activity android:name=".view.scooters.ScooterActivity" />
        <activity android:name=".view.scooters.ScooterPhotosActivity" />
        <activity android:name=".view.scooters.CreateScooterActivity" />
        <activity android:name=".view.myDrives.MyDrivesActivity" />
        <activity android:name=".view.offers.OfferDetailsActivity" />

        <meta-data
            android:name="preloaded_fonts"
            android:resource="@array/preloaded_fonts" />
    </application>

</manifest>